curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"amulet_create_fee": "<string>",
"holding_fee": "<string>",
"lock_holder_fee": "<string>",
"transfer_fee": {
"initial": "<string>",
"steps": [
{
"amount": "<string>",
"rate": "<string>"
}
]
}
}
{
"error": "<string>"
}
GET /v0/amulet-config-for-round
Deprecated. Retrieve some information from the AmuletRules selected for the given round
GET
/
api
/
scan
/
v0
/
amulet-config-for-round
curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"amulet_create_fee": "<string>",
"holding_fee": "<string>",
"lock_holder_fee": "<string>",
"transfer_fee": {
"initial": "<string>",
"steps": [
{
"amount": "<string>",
"rate": "<string>"
}
]
}
}
{
"error": "<string>"
}
Deprecated. Retrieve some information from the AmuletRules selected for the given round
curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/amulet-config-for-round')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"amulet_create_fee": "<string>",
"holding_fee": "<string>",
"lock_holder_fee": "<string>",
"transfer_fee": {
"initial": "<string>",
"steps": [
{
"amount": "<string>",
"rate": "<string>"
}
]
}
}
{
"error": "<string>"
}
Query parameters
number
required
OpenAPI type:
integer (int64).Responses
200
okapplication/json
string
required
string
required
string
required
SteppedRate
required
404
not foundapplication/json
string
required
History
Deprecated
0.5.10Added
0.5.10